package com.xinelu.manage.service.project;

import com.xinelu.manage.domain.project.Project;
import java.util.List;


/**
 * 检测项目Service接口
 *
 * @author haown
 * @date 2024-03-11
 */
public interface IProjectService {
    /**
     * 查询检测项目
     *
     * @param id 检测项目主键
     * @return 检测项目
     */
    public Project selectProjectById(Long id);

    /**
     * 查询检测项目列表
     *
     * @param project 检测项目
     * @return 检测项目集合
     */
    public List<Project> selectProjectList(Project project);

    /**
     * 新增检测项目
     *
     * @param project 检测项目
     * @return 结果
     */
    public int insertProject(Project project);

    /**
     * 修改检测项目
     *
     * @param project 检测项目
     * @return 结果
     */
    public int updateProject(Project project);

    /**
     * 批量删除检测项目
     *
     * @param ids 需要删除的检测项目主键集合
     * @return 结果
     */
    public int deleteProjectByIds(Long[] ids);

    /**
     * 删除检测项目信息
     *
     * @param id 检测项目主键
     * @return 结果
     */
    public int deleteProjectById(Long id);
}
